Package: groovy.transform

## [Java] Annotation Type RecordBase

- groovy.transform.RecordBase

-     @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target(ElementType.TYPE)
      @GroovyASTTransformationClass({"org.codehaus.groovy.transform.RecordTypeASTTransformation","org.codehaus.groovy.transform.RecordCompletionASTTransformation"})
      public @interface RecordBase

  Class annotation used to assist in the creation of record-like classes.

  See Also:
    ImmutableOptions
    MapConstructor
    TupleConstructor
    PropertyOptions
    RecordOptions
  Since:
    4.0.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`